Bug 1076442 - Python 3.4
Python 3.4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Bara Ancincova
ChangeAcceptedF21
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-14 07:09 EDT by Jaroslav Reznik
Modified: 2014-12-08 10:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
<title>Python 3.4</title> <para>With this release, Python has been upgraded to version 3.4, which provides various bug fixes, enhancements and security improvements over the previous version. For example, several new library modules and features have been added and multiple library modules have been significantly improved.</para> <para>See <ulink url="http://legacy.python.org/dev/peps/pep-0429/#features-for-3-4>Release Schedule</ulink> and <ulink url="https://docs.python.org/dev/whatsnew/3.4.html>What’s New In Python 3.4</ulink>for details.</para>
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 10:22:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bancinco: fedora_requires_release_note+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2014-03-14 07:09:08 EDT
This is a tracking bug for Change: Python 3.4
For more details, see: http://fedoraproject.org//wiki/Changes/Python_3.4

Update the Python 3 stack in Fedora from Python 3.3 to Python 3.4.
Comment 1 Jaroslav Reznik 2014-07-04 06:43:43 EDT
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 2 Bara Ancincova 2014-08-26 16:41:53 EDT
Ahoj Slávku, 

could you please take a look at https://fedoraproject.org/wiki/Documentation_Development_Beat#Python and let me know if the release note is sufficient or what should I change/add/remove? 

Thank you, 

Bara
Comment 3 Bohuslav "Slavek" Kabrda 2014-08-28 09:03:16 EDT
(In reply to Barbora Ancincova from comment #2)
> Ahoj Slávku, 
> 
> could you please take a look at
> https://fedoraproject.org/wiki/Documentation_Development_Beat#Python and let
> me know if the release note is sufficient or what should I
> change/add/remove? 
> 
> Thank you, 
> 
> Bara

As responded in bug 1076441 comment 2, Python 3 will be default in F22, not F21, so I'd advise to just remove the "Python 3 as default" section altogether from docs for F21.

Thanks.
Comment 4 Jaroslav Reznik 2014-10-07 08:23:53 EDT
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 5 Bohuslav "Slavek" Kabrda 2014-10-07 10:07:24 EDT
Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.